import { HPCCElement } from "./element";
export class HPCCResizeElement extends HPCCElement {
    constructor() {
        super(...arguments);
        this._prevSize = { width: 0, height: 0 };
        this.observer = new ResizeObserver(() => {
            const size = { width: this.clientWidth, height: this.clientHeight };
            this._fire("resize", this._prevSize, size);
            this._prevSize = size;
        });
    }
    connectedCallback() {
        super.connectedCallback();
        this.observer.observe(this);
    }
    disconnectedCallback() {
        this.observer.unobserve(this);
        super.disconnectedCallback();
    }
}
//# sourceMappingURL=resize.js.map